# Commands

This site describes all available Commands in NodeOS. At the moment there are not many commands but they can be extended by NPM Or you create your own commands.

This list is helpful for Linux beginners, on the list below you find the Name and the description for the corresponding command.

## List of Commands

- `cat` - is one of the most frequently used commands on Unix-like operating systems. It has three related functions with regard to text files: displaying them, combining copies of them and creating new ones.
- `cp` - is an internel command of a unix shell to copy files.
- `davius` - Davius is a HTTP/WebDAV server that offer the content from the filesystem.
- `env` - is a unix command, that shows the environment variables when called with no arguments or it starts a program in another environment without changing the variables of the active one.
- `ln` - is a standard Unix command utility used to create a hard link (link) or a symbolic link (symlink) to an existing file.
- `ls` - is a command to list files in Unix and Unix-like operating systems.
- `man` - is used to format and display man (or manual) pages
- `mkdir` - is used to create a new folder
- `mv` - is used to move files or folders
- `node` - This is the node binary
- `npm` - is NodeOS's package Manager (like: pacman (Arch); yaourt (Arch); apt-get (Debian/Ubuntu))
- `nsh` - is the shell of NodeOS (both "no shell" and "node shell" accurately describe nsh)
- `pwd` - Returns the current working directory
- `rm` - is a basic UNIX command used to remove objects such as files, directories, device nodes, symbolic links, and so on from the filesystem.
- `sh` - is a command language interpreter that shall execute commands read from a command line string, the standard input, or a specified file.
- `wget` - is a computer program that retrieves content from web servers.
- `ip` - The `ip` command is similar to ifconfig, but more powerful and is intented to be a replacement for it.
- `ifconfig` - stands for "interface configuration". It is used to view and change the configuration of the network interfaces on your system.
- `pstree` - pstree shows running processes as a tree. The tree is rooted at either pid or init if pid is omitted.
- `performance` - is a benchmark tool to check the speed of some (javascript?) functions
- `loadtest` - Runs a load test on the selected HTTP or WebSockets URL.
- `testserver-loadtest` - This command will show the number of requests received per second, the latency in answering requests and the headers for selected requests.
- `node-ntp-client` - This binary implements the NTP Protocol which gets the Network time over a specific Server (like 'pool.ntp.org')
